Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030504
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2015-08-05 13:132015-08-20 23:16
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiond451a9fb55e5
ProjectionnoneETAnoneTarget Version3.0PR15Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030504: "Gross List Price" information is not copied to invoice when using Generate Invoice from Receipt process

Description"Gross List Price" information is not copied to invoice when using Generate Invoice from Receipt process
Steps To Reproduce1. Ensure that pricelist configured for Bebidas Alegres is defines as "price include tax"
2. Register Purchase Order for Bebidas Alegres. Add any line and process
3. Access "Pending goods receipt" form and create receipt for order
4. Access created goods receipt document and run "Generate Invoice from receipt" process
5. Access created purchase invoice and verify that "Gross List Price" field is zero in invoiceline

Note: if purchase invoice is created using Create Lines From process this information is properly set
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0030833 closeddmiguelez Create Sales Orders from Expenses is not working fine with Business Partner with Price list defined as 'Price Including Taxes' 
causes defect 0032323 closedAtulOpenbravo "generate invoice from receipt" button is not working 

-  Notes
(0079425)
AtulOpenbravo (developer)
2015-08-19 20:15

Test Plan
- Create a Purchase Price List defined as "price include tax". Add Version and add product to it.
- Set it for Business Partner "Bebidas Alegres".
- Register Purchase Order for Bebidas Alegres with above price list. Add any line with product within above price list and process it.
- Using "Pending goods receipt" form and create receipt for order.
- Navigate to Goods Receipt document and run "Generate Invoice from receipt" process.
- Check created purchase invoice and verify that "Gross List Price" and "Base Gross Unit Price" are properly set in the purchase invoice line.
(0079430)
hgbot (developer)
2015-08-20 11:27

Repository: erp/devel/pi
Changeset: d451a9fb55e553d4c6df0b6c3c57d02c90f52567
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Aug 19 23:48:07 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/d451a9fb55e553d4c6df0b6c3c57d02c90f52567 [^]

Fixes Issue 30504:"Gross List Price" information is not copied to invoice
when using Generate Invoice from Receipt process

In m_inout_createinvoice function while copying order line information,
grosspricelist and grosspricestd are fetched and set properly in purchase
invoice line.

---
M src-db/database/model/functions/M_INOUT_CREATEINVOICE.xml
---
(0079431)
dmiguelez (developer)
2015-08-20 11:28

Code Review + Testing Ok
(0079561)
hudsonbot (developer)
2015-08-20 23:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-08-05 13:13 maite New Issue
2015-08-05 13:13 maite Assigned To => Triage Finance
2015-08-05 13:13 maite Modules => Core
2015-08-05 13:13 maite Triggers an Emergency Pack => No
2015-08-05 13:13 maite Issue Monitored: networkb
2015-08-19 20:12 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-08-19 20:12 AtulOpenbravo Status new => scheduled
2015-08-19 20:15 AtulOpenbravo Note Added: 0079425
2015-08-20 11:27 hgbot Checkin
2015-08-20 11:27 hgbot Note Added: 0079430
2015-08-20 11:27 hgbot Status scheduled => resolved
2015-08-20 11:27 hgbot Resolution open => fixed
2015-08-20 11:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d451a9fb55e553d4c6df0b6c3c57d02c90f52567 [^]
2015-08-20 11:28 dmiguelez Review Assigned To => dmiguelez
2015-08-20 11:28 dmiguelez Note Added: 0079431
2015-08-20 11:28 dmiguelez Status resolved => closed
2015-08-20 23:16 hudsonbot Checkin
2015-08-20 23:16 hudsonbot Note Added: 0079561
2015-09-17 12:38 vmromanos Relationship added related to 0030833
2016-02-23 19:01 malsasua Relationship added related to 0032323
2016-02-24 14:35 AtulOpenbravo Relationship replaced causes 0032323


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker